gi-gtk4-4.0.12: Gtk 4.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Interfaces.AccessibleText

Contents

- Exported types
- Methods
  - updateCaretPosition
  - updateContents
  - updateSelectionBound

Description

An interface for accessible objects containing formatted text.

The `GtkAccessibleText` interfaces is meant to be implemented by accessible objects that have text formatted with attributes, or non-trivial text contents.

You should use the `AccessiblePropertyLabel` or the `AccessiblePropertyDescription` properties for accessible objects containing simple, unformatted text.

Since: 4.14

Synopsis

- newtype AccessibleText = AccessibleText (ManagedPtr AccessibleText)
- class (GObject o, IsDescendantOf AccessibleText o) => IsAccessibleText o
- toAccessibleText :: (MonadIO m, IsAccessibleText o) => o -> m AccessibleText
- accessibleTextUpdateCaretPosition :: (HasCallStack, MonadIO m, IsAccessibleText a) => a -> m ()
- accessibleTextUpdateContents :: (HasCallStack, MonadIO m, IsAccessibleText a) => a -> AccessibleTextContentChange -> Word32 -> Word32 -> m ()
- accessibleTextUpdateSelectionBound :: (HasCallStack, MonadIO m, IsAccessibleText a) => a -> m ()

# Exported types

newtype AccessibleText Source #

Memory-managed wrapper type.

Constructors

AccessibleText (ManagedPtr AccessibleText) |

#### Instances

Instances details

Eq AccessibleText Source # |
Instance details Defined in GI.Gtk.Interfaces.AccessibleText Methods (==) :: AccessibleText -> AccessibleText -> Bool Source # (/=) :: AccessibleText -> AccessibleText -> Bool Source #
GObject AccessibleText Source # |
Instance details Defined in GI.Gtk.Interfaces.AccessibleText
ManagedPtrNewtype AccessibleText Source # |
Instance details Defined in GI.Gtk.Interfaces.AccessibleText Methods toManagedPtr :: AccessibleText -> ManagedPtr AccessibleText Source #
TypedObject AccessibleText Source # |
Instance details Defined in GI.Gtk.Interfaces.AccessibleText Methods glibType :: IO GType Source #
HasParentTypes AccessibleText Source # |
Instance details Defined in GI.Gtk.Interfaces.AccessibleText
IsGValue (Maybe AccessibleText) Source # | Convert `AccessibleText` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Interfaces.AccessibleText Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe AccessibleText -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe AccessibleText) Source #
type ParentTypes AccessibleText Source # |
Instance details Defined in GI.Gtk.Interfaces.AccessibleText type ParentTypes AccessibleText = '[Accessible, Object]

class (GObject o, IsDescendantOf AccessibleText o) => IsAccessibleText o Source #

Type class for types which can be safely cast to `AccessibleText`, for instance with `toAccessibleText`.

#### Instances

Instances details

(GObject o, IsDescendantOf AccessibleText o) => IsAccessibleText o Source # |
Instance details Defined in GI.Gtk.Interfaces.AccessibleText

toAccessibleText :: (MonadIO m, IsAccessibleText o) => o -> m AccessibleText Source #

Cast to `AccessibleText`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

announce, bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isFloating, notify, notifyByPspec, ref, refSink, resetProperty, resetRelation, resetState, runDispose, stealData, stealQdata, thawNotify, unref, updateCaretPosition, updateContents, updateNextAccessibleSibling, updatePlatformState, updateProperty, updateRelation, updateSelectionBound, updateState, watchClosure.

#### Getters

getAccessibleId, getAccessibleParent, getAccessibleRole, getAtContext, getBounds, getData, getFirstAccessibleChild, getNextAccessibleSibling, getPlatformState, getProperty, getQdata.

#### Setters

setAccessibleParent, setData, setDataFull, setProperty.

## updateCaretPosition

accessibleTextUpdateCaretPosition Source #

Arguments

:: (HasCallStack, MonadIO m, IsAccessibleText a) |
=> a | `self`: the accessible object
-> m () |

Updates the position of the caret.

Implementations of the `GtkAccessibleText` interface should call this function every time the caret has moved, in order to notify assistive technologies.

Since: 4.14

## updateContents

accessibleTextUpdateContents Source #

Arguments

:: (HasCallStack, MonadIO m, IsAccessibleText a) |
=> a | `self`: the accessible object
-> AccessibleTextContentChange | `change`: the type of change in the contents
-> Word32 | `start`: the starting offset of the change, in characters
-> Word32 | `end`: the end offset of the change, in characters
-> m () |

Notifies assistive technologies of a change in contents.

Implementations of the `GtkAccessibleText` interface should call this function every time their contents change as the result of an operation, like an insertion or a removal.

Note: If the change is a deletion, this function must be called *before* removing the contents, if it is an insertion, it must be called *after* inserting the new contents.

Since: 4.14

## updateSelectionBound

accessibleTextUpdateSelectionBound Source #

Arguments

:: (HasCallStack, MonadIO m, IsAccessibleText a) |
=> a | `self`: the accessible object
-> m () |

Updates the boundary of the selection.

Implementations of the `GtkAccessibleText` interface should call this function every time the selection has moved, in order to notify assistive technologies.

Since: 4.14